MessageCorrelatedEvent (Axis API)
Keywords: org.apache.axis.ime.event.MessageCorrelatedEvent,MessageCorrelatedEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.event
Class MessageCorrelatedEvent

    java.lang.Object
      |
      +--org.apache.axis.ime.event.MessageCorrelatedEvent

All Implemented Interfaces:
  MessageExchangeEvent, java.io.Serializable

Direct Known Subclasses:
  MessageFaultEvent, MessageReceiveEvent, MessageSendEvent, MessageStatusEvent

public abstract class MessageCorrelatedEvent
extends java.lang.Object
implements MessageExchangeEvent, java.io.Serializable

MessageCorrelatedEvent is the base abstract class for all events which are associated with a particular message. It contains a reference to the message via the MessageContext.

Author:
  Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected MessageContext` | `context`
`protected MessageExchangeCorrelator` | `correlator`

Constructor Summary
`MessageCorrelatedEvent(MessageExchangeCorrelator correlator)`
`MessageCorrelatedEvent(MessageExchangeCorrelator correlator, MessageContext context)`

Method Summary
`MessageContext` | `getMessageContext()`
`MessageExchangeCorrelator` | `getMessageExchangeCorrelator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### correlator

    protected MessageExchangeCorrelator correlator

### context

    protected MessageContext context

Constructor Detail

### MessageCorrelatedEvent

    public MessageCorrelatedEvent(MessageExchangeCorrelator correlator)

### MessageCorrelatedEvent

    public MessageCorrelatedEvent(MessageExchangeCorrelator correlator,
                                  MessageContext context)

Method Detail

### getMessageExchangeCorrelator

    public MessageExchangeCorrelator getMessageExchangeCorrelator()

### getMessageContext

    public MessageContext getMessageContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.